import { ClientContext } from "../ClientContext";
import { InMemoryCollectionRoutingMap } from "./inMemoryCollectionRoutingMap";
import { QueryRange } from "./QueryRange";
/** @hidden */
export declare class PartitionKeyRangeCache {
    private clientContext;
    private collectionRoutingMapByCollectionId;
    constructor(clientContext: ClientContext);
    /**
     * Finds or Instantiates the requested Collection Routing Map
     * @param {string} collectionLink            - Requested collectionLink
     * @ignore
     */
    onCollectionRoutingMap(collectionLink: string): Promise<InMemoryCollectionRoutingMap>;
    /**
     * Given the query ranges and a collection, invokes the callback on the list of overlapping partition key ranges
     * @param collectionLink
     * @param queryRange
     * @ignore
     */
    getOverlappingRanges(collectionLink: string, queryRange: QueryRange): Promise<any[]>;
    private requestCollectionRoutingMap;
}
//# sourceMappingURL=partitionKeyRangeCache.d.ts.map